> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Flux de requête des files d'attente d'annotation

> Interroger les files d'attente d'annotation d'un projet (réponse NDJSON en streaming).



## OpenAPI

````yaml /fr/weave/reference/service-api/openapi.json post /annotation_queues/query
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues/query:
    post:
      tags:
        - Annotation Queues
      summary: Flux de requête des files d'attente d'annotation
      description: >-
        Interroger les files d'attente d'annotation d'un projet (réponse NDJSON
        en streaming).
      operationId: annotation_queues_query_stream_annotation_queues_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueuesQueryReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueuesQueryReq:
      additionalProperties: false
      description: Requête pour interroger les files d'attente d’annotation d’un projet.
      properties:
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          examples:
            - 10
          title: Limit
        name:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Filtre par nom de file d'attente (correspondance partielle
            insensible à la casse)
          examples:
            - Error
          title: Name
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          examples:
            - 0
          title: Offset
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
        sort_by:
          anyOf:
            - items:
                $ref: '#/components/schemas/SortBy'
              type: array
            - type: 'null'
          description: Tri par plusieurs champs (par ex., created_at, updated_at, name)
          title: Sort By
      required:
        - project_id
      title: AnnotationQueuesQueryReq
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SortBy:
      additionalProperties: false
      properties:
        direction:
          enum:
            - asc
            - desc
          title: Direction
          type: string
        field:
          title: Field
          type: string
      required:
        - field
        - direction
      title: SortBy
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````